## ros-kinetic-audio-common-msgs 0.3.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(audio_common_msgs)

find_package(catkin REQUIRED COMPONENTS message_generation)
add_message_files(DIRECTORY msg FILES
  AudioData.msg
  AudioInfo.msg
  )
generate_messages()

catkin_package(CATKIN_DEPENDS message_runtime)

=== debian/changelog ===
ros-kinetic-audio-common-msgs (0.3.11-1xenial) xenial; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 07 Apr 2021 15:00:00 -0000

ros-kinetic-audio-common-msgs (0.3.10-1xenial) xenial; urgency=high

  * Change comment style in AudioInfo.msg
  * [audio_common_msgs] AudioInfo.msg to add audio meta data
  * Contributors: Naoya Yamaguchi

 -- Austin Hendrix <namniart@gmail.com>  Wed, 06 Jan 2021 15:00:00 -0000

ros-kinetic-audio-common-msgs (0.3.9-1xenial) xenial; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 21 Oct 2020 15:00:00 -0000

ros-kinetic-audio-common-msgs (0.3.8-1xenial) xenial; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Sat, 12 Sep 2020 15:00:00 -0000

ros-kinetic-audio-common-msgs (0.3.7-1xenial) xenial; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Fri, 07 Aug 2020 15:00:00 -0000

ros-kinetic-audio-common-msgs (0.3.6-1xenial) xenial; urgency=high

  * Merge pull request #141 <https://github.com/ros-drivers/audio_common/issues/141> from knorth55/add-maintainer
    add maintainer
  * add maintainer
  * Contributors: Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Thu, 28 May 2020 15:00:00 -0000

ros-kinetic-audio-common-msgs (0.3.5-1xenial) xenial; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 27 Apr 2020 15:00:00 -0000

ros-kinetic-audio-common-msgs (0.3.4-1xenial) xenial; urgency=high

  * Merge branch 'master' of github.com:ros-drivers/audio_common
  * Contributors: Gerard Canal

 -- Austin Hendrix <namniart@gmail.com>  Wed, 01 Apr 2020 15:00:00 -0000

ros-kinetic-audio-common-msgs (0.3.3-1xenial) xenial; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 21 May 2018 15:00:00 -0000

ros-kinetic-audio-common-msgs (0.3.2-1xenial) xenial; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 01 May 2018 15:00:00 -0000

ros-kinetic-audio-common-msgs (0.3.1-1xenial) xenial; urgency=high

  * Add changelogs
  * Update maintainer email
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Sat, 27 Aug 2016 15:00:00 -0000

ros-kinetic-audio-common-msgs (0.2.11-1xenial) xenial; urgency=high

  * Add changelogs
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Mon, 15 Feb 2016 15:00:00 -0000

ros-kinetic-audio-common-msgs (0.2.10-1xenial) xenial; urgency=high

  * Add changelogs
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Wed, 20 Jan 2016 15:00:00 -0000

ros-kinetic-audio-common-msgs (0.2.9-1xenial) xenial; urgency=high

  * Add changelogs
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Tue, 01 Dec 2015 15:00:00 -0000

ros-kinetic-audio-common-msgs (0.2.8-1xenial) xenial; urgency=high

  * Update maintainer email
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Thu, 01 Oct 2015 15:00:00 -0000

ros-kinetic-audio-common-msgs (0.2.7-1xenial) xenial; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Thu, 24 Jul 2014 15:00:00 -0000

ros-kinetic-audio-common-msgs (0.2.6-1xenial) xenial; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 25 Feb 2014 15:00:00 -0000

ros-kinetic-audio-common-msgs (0.2.5-1xenial) xenial; urgency=high

  * "0.2.5"
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Wed, 22 Jan 2014 15:00:00 -0000

ros-kinetic-audio-common-msgs (0.2.4-1xenial) xenial; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 09 Sep 2013 15:00:00 -0000

ros-kinetic-audio-common-msgs (0.2.3-1xenial) xenial; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Sun, 14 Jul 2013 15:00:00 -0000

ros-kinetic-audio-common-msgs (0.2.2-1xenial) xenial; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Tue, 09 Apr 2013 15:00:00 -0000

ros-kinetic-audio-common-msgs (0.2.1-1xenial) xenial; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 08 Apr 2013 04:59:00 -0000

ros-kinetic-audio-common-msgs (0.2.0-1xenial) xenial; urgency=high

  * Catkinize audio_common_msgs.
  * Versions and more URLs.
  * Convert manifests to package.xml
  * Ditch old makefiles.
  * Fixed audio_msgs names to audio_common_msgs
  * Renamed audio_msgs to audio_common_msgs
  * Contributors: Austin Hendrix, Nate Koenig

 -- Austin Hendrix <namniart@gmail.com>  Mon, 08 Apr 2013 04:49:00 -0000

=== debian/control ===
Source: ros-kinetic-audio-common-msgs
Section: misc
Priority: optional
Maintainer: Austin Hendrix <namniart@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-message-generation
Homepage: http://ros.org/wiki/audio_common_msgs
Standards-Version: 3.9.2

Package: ros-kinetic-audio-common-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-message-runtime
Description: Messages for transmitting audio via ROS

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-audio-common-msgs//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
